You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@mynewt.apache.org by ma...@apache.org on 2017/05/09 01:31:41 UTC

[1/2] incubator-mynewt-core git commit: jlink.sh; pass extra jtag command line arguments to JLinkExe.

Repository: incubator-mynewt-core
Updated Branches:
  refs/heads/master 1080d5c57 -> cb23f34e9


jlink.sh; pass extra jtag command line arguments to JLinkExe.


Project: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/commit/9cec0957
Tree: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/tree/9cec0957
Diff: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/diff/9cec0957

Branch: refs/heads/master
Commit: 9cec09579fa1c4aa8a799d9f818e10b187242076
Parents: debf64f
Author: Marko Kiiskila <ma...@runtime.io>
Authored: Mon May 8 13:14:05 2017 -0700
Committer: Marko Kiiskila <ma...@runtime.io>
Committed: Mon May 8 13:14:05 2017 -0700

----------------------------------------------------------------------
 hw/scripts/jlink.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/blob/9cec0957/hw/scripts/jlink.sh
----------------------------------------------------------------------
diff --git a/hw/scripts/jlink.sh b/hw/scripts/jlink.sh
index 5087ceb..422c4f7 100644
--- a/hw/scripts/jlink.sh
+++ b/hw/scripts/jlink.sh
@@ -53,7 +53,7 @@ jlink_load () {
     # downloading somewhere in the flash. So need to figure out how to tell it
     # not to do that, or report failure if gdb fails to write this file
     #
-    echo "shell sh -c \"trap '' 2; $JLINK_GDB_SERVER -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun &\" " > $GDB_CMD_FILE
+    echo "shell sh -c \"trap '' 2; $JLINK_GDB_SERVER $EXTRA_JTAG_CMD -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun &\" " > $GDB_CMD_FILE
     echo "target remote localhost:3333" >> $GDB_CMD_FILE
     echo "mon reset" >> $GDB_CMD_FILE
     echo "restore $FILE_NAME binary $FLASH_OFFSET" >> $GDB_CMD_FILE
@@ -125,13 +125,13 @@ jlink_debug() {
             # Launch jlink server in a separate command interpreter, to make
             # sure it doesn't get killed by Ctrl-C signal from bash.
             #
-            $COMSPEC "/C start $COMSPEC /C $JLINK_GDB_SERVER -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun"
+            $COMSPEC "/C start $COMSPEC /C $JLINK_GDB_SERVER $EXTRA_JTAG_CMD -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun"
         else
             #
             # Block Ctrl-C from getting passed to jlink server.
             #
             set -m
-            $JLINK_GDB_SERVER -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun > /dev/null &
+            $JLINK_GDB_SERVER $EXTRA_JTAG_CMD -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun > /dev/null &
             set +m
         fi
 
@@ -151,7 +151,7 @@ jlink_debug() {
             rm $GDB_CMD_FILE
 	fi
     else
-        $JLINK_GDB_SERVER -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun
+        $JLINK_GDB_SERVER $EXTRA_JTAG_CMD -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun
     fi
     return 0
 }


[2/2] incubator-mynewt-core git commit: Merge branch 'jlink_extra_cmds' of https://github.com/mkiiskila/incubator-mynewt-core

Posted by ma...@apache.org.
Merge branch 'jlink_extra_cmds' of https://github.com/mkiiskila/incubator-mynewt-core


Project: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/commit/cb23f34e
Tree: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/tree/cb23f34e
Diff: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/diff/cb23f34e

Branch: refs/heads/master
Commit: cb23f34e9b55de68078c0c2200b268cf536d003b
Parents: 1080d5c 9cec095
Author: Marko Kiiskila <ma...@runtime.io>
Authored: Mon May 8 18:30:54 2017 -0700
Committer: Marko Kiiskila <ma...@runtime.io>
Committed: Mon May 8 18:30:54 2017 -0700

----------------------------------------------------------------------
 hw/scripts/jlink.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/blob/cb23f34e/hw/scripts/jlink.sh
----------------------------------------------------------------------
diff --cc hw/scripts/jlink.sh
index 88391b3,422c4f7..e07049b
--- a/hw/scripts/jlink.sh
+++ b/hw/scripts/jlink.sh
@@@ -125,7 -125,7 +125,7 @@@ jlink_debug() 
              # Launch jlink server in a separate command interpreter, to make
              # sure it doesn't get killed by Ctrl-C signal from bash.
              #
-             $COMSPEC /C "start $JLINK_GDB_SERVER -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun"
 -            $COMSPEC "/C start $COMSPEC /C $JLINK_GDB_SERVER $EXTRA_JTAG_CMD -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun"
++            $COMSPEC /C "start $JLINK_GDB_SERVER $EXTRA_JTAG_CMD -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun"
          else
              #
              # Block Ctrl-C from getting passed to jlink server.